#3 Error: Cannot find Mini-XML header file when compiling from source

1.0
closed
None
2013-05-10
2013-05-08
TEDs TECH
No

Hi

Trying to install from source in Linux Mint, kernel 3.2.0-23-generic.

Have already installed, via apt-get :

libgtkglext1 - OpenGL Extension to GTK+ (shared libraries)
libgtkglext1-dbg - OpenGL Extension to GTK+ (debugging symbols)
libgtkglext1-dev - OpenGL Extension to GTK+ (development files)
libgtkglext1-doc - OpenGL Extension to GTK+ (documentation)
and
python-opengl - Python bindings to OpenGL

but, when I execute ./configure or sh ./configure I get :

checking for mxml.h... no
configure: error: Cannot find Mini-XML header file.

Googled it and found this thread dating back to 2008: http://ubuntuforums.org/showthread.php?t=891928

Any suggested fix for this error, please?

Related

Tickets: #3

Discussion

  • TEDs TECH
    TEDs TECH
    2013-05-08

    PS...the full list of "no's" is actually :

    checking mxml.h usability... no
    checking mxml.h presence... no
    checking for mxml.h... no
    configure: error: Cannot find Mini-XML header file.

     
  • Hi,

    You appear to be missing libmxml-dev and libmxml1. Try installing those with apt-get.

    Op 9 mei 2013, om 00:23 heeft TEDs TECH tedtechnology@users.sf.net het volgende geschreven:

    PS...the full list of "no's" is actually :

    checking mxml.h usability... no
    checking mxml.h presence... no
    checking for mxml.h... no
    configure: error: Cannot find Mini-XML header file.

    [tickets:#3] Error: Cannot find Mini-XML header file when compiling from source

    Status: open
    Created: Wed May 08, 2013 10:21 PM UTC by TEDs TECH
    Last Updated: Wed May 08, 2013 10:21 PM UTC
    Owner: Walter van Niftrik

    Hi

    Trying to install from source in Linux Mint, kernel 3.2.0-23-generic.

    Have already installed, via apt-get :

    libgtkglext1 - OpenGL Extension to GTK+ (shared libraries)
    libgtkglext1-dbg - OpenGL Extension to GTK+ (debugging symbols)
    libgtkglext1-dev - OpenGL Extension to GTK+ (development files)
    libgtkglext1-doc - OpenGL Extension to GTK+ (documentation)
    and
    python-opengl - Python bindings to OpenGL

    but, when I execute ./configure or sh ./configure I get :

    checking for mxml.h... no
    configure: error: Cannot find Mini-XML header file.

    Googled it and found this thread dating back to 2008: http://ubuntuforums.org/showthread.php?t=891928

    Any suggested fix for this error, please?

    Sent from sourceforge.net because you indicated interest in https://sourceforge.net/p/dreamchess/tickets/3/

    To unsubscribe from further messages, please visit https://sourceforge.net/auth/subscriptions/

     

    Related

    Tickets: #3

    • TEDs TECH
      TEDs TECH
      2013-05-09

      Thanks for the info - that worked and it has now compiled. I don't think I have managed to install it properly still but that's my issue I am sure. You've answered the problem at hand.

       
    • status: open --> closed